<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><title>Project and User Management: Functions</title>

<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="http://purl.org/dc/elements/1.1/" rel="schema.DC" />
<meta content="Felix Paul Kuehne / SUB Goettingen" name="DC.creator" />
<meta content="2008-12-15T16:20:32.67" name="DC.date" />
<link rel="stylesheet" href="../help.css" charset="utf-8" type="text/css" /></head>
<body>
<h1 id="toc0">Authentication &amp; Project and User
Management: Functions</h1>
<h2 id="toc1">Authenticate</h2>
<p>TextGrid uses <em>Shibboleth</em> for
authentication purposes. The Shibboleth authentication and
authorization architecture allows for cross-domain single sign-on and
removes the need for content or service providers to maintain user
names and passwords. Users are authenticated via identity information
stored with their home IdP (identity provider).</p>
<h2 id="toc2">Create and Manage Projects</h2>
<p><em>Projects</em> in TextGrid are used to manage
access to <em>objects</em> (e.g. TEI/XML texts, XSLT
adaptors, images). Any TextGrid object belongs to a project. TextGrid
users can start a new project in order to create or copy objects.
Objects belonging to a project are listed in the <em>Navigator
View</em>. Currently projects, once created, cannot be deleted.</p>
<h2 id="toc3">Add Users to Projects and Assign Roles</h2>
<p>The creator of a project can select other TextGrid users,
associate them with the project and assign specific <em>roles</em>
to them. Users to be selected must previously have logged in to
TextGridLab at least once.</p>
<h1 id="toc4">Contents</h1>
<ul>
<li>
<a href="authentication.html">Authentication</a>
</li>
<li>
<a href="newProject.html">Creating a New
Project</a>
</li>
<li>
<a href="addingUsers.html">Adding Users and
Assigning Roles</a>
</li>
<li>
<a href="deletingRoles.html">Deleting Roles
from Users</a>
</li>
<li>
<a href="managingResources.html">Managing
(Adding, Copying, Publishing) Resources in a Project"</a>
</li>
</ul>
</body></html>